---
services:
  opencloud:
    depends_on:
      unzip-init:
        condition: service_completed_successfully

  unzip-init:
    image: opencloudeu/web-extensions:unzip-1.0.2
    user: root
    volumes:
      - opencloud-apps:/apps
    entrypoint:
      - /bin/sh
    command: ["-c", "cp -R /usr/share/nginx/html/unzip/ /apps"]
